Subject: [AAA-WG]: [[email-masked]: Question regarding AVPs address type]

From: David Frascone <[email-masked]>
Date: Mon, 25 Jun 2001 08:58:10 -0500

This is a very good question.  I have never thought about it.  What *should*
a user supply when creating an address AVP?

A pointer to a struct sockaddr_storage? 

I'm leaning this direction.  I would also like to add some functionality to
create struct sockaddr_storage objects from Diameter URI's.

Opinions?

-Dave

----- Forwarded message from Arek Nowakowski <[email-masked]> -----

Message-ID: <[email-masked]>
From: Arek Nowakowski <[email-masked]>
To: "'David Frascone'" <[email-masked]>
Subject: Question regarding AVPs address type
Date: Sun, 24 Jun 2001 14:03:58 -0400

Hello,
When creating AVP type address, using AAACreateAVP function problem came up.
Is it allowed to give the address data in the network byte order form?
Does the input data have to be in a human readable form?
Regards.
Arek Nowakowski

----- End forwarded message -----